%define name gobject-introspection
%define version 0.10.7
%define git 0
%define rel 2

%if %git
%define release %mkrel -c %git %rel
%else
%define release %mkrel %rel
%endif

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define api 1.0
%define major 1
%define libname %mklibname girepository %api %major
%define develname %mklibname -d girepository

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary: GObject Introspection
Name: %{name}
Version: %{version}
Release: %{release}
%if %git
Source0:       %{name}-%{git}.tar.xz
%else
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{url_ver}/%{name}-%{version}.tar.bz2
%endif
Patch0: gobject-introspection-fix-link.patch
License: GPLv2+ and LGPLv2+
Group: Development/C
Url: http://www.gnome.org
BuildRequires: glib2-devel >= 2.25.8
BuildRequires: ffi5-devel
BuildRequires: python-devel
BuildRequires: freetype2-devel 
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: GL-devel
BuildRequires: libxft-devel
BuildRequires: flex bison
BuildRequires: gnome-common
BuildRequires: libtool
%if !%bootstrap
BuildRequires: gtk-doc
%endif
Conflicts: %{mklibname girepository 1.0 0} < 0.6.10-5mdv
Conflicts: gir-repository < 0.6.5-12.20100622.3mdv

%description
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%package -n %libname
Group: System/Libraries
Summary: GObject Introspection shared library
Conflicts: %name < 0.6.8-2mdv
Requires: %name >= %version

%description -n %libname
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.


%package -n %develname
Group: Development/C
Summary: GObject Introspection development libraries
Requires: %libname = %version-%release
Provides: libgirepository-devel = %version-%release
Provides: %name-devel = %version-%release
#gw /usr/bin/libtool is called in giscanner
Requires: libtool

%description -n %develname
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%prep
%if %git
%setup -q -n %name
%else
%setup -q
%endif
%apply_patches
%if %git
./autogen.sh -V
%else
autoreconf -fi
%endif

%build
%configure2_5x --disable-static \
%if !%bootstrap
--enable-gtk-doc
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%check
make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS TODO AUTHORS
%dir %_libdir/girepository-%api
%_libdir/girepository-%api/DBus-1.0.typelib
%_libdir/girepository-%api/DBusGLib-1.0.typelib
%_libdir/girepository-%api/GIRepository-2.0.typelib
%_libdir/girepository-%api/GL-1.0.typelib
%_libdir/girepository-%api/GLib-2.0.typelib
%_libdir/girepository-%api/GModule-2.0.typelib
%_libdir/girepository-%api/GObject-2.0.typelib
%_libdir/girepository-%api/Gio-2.0.typelib
%_libdir/girepository-%api/cairo-1.0.typelib
%_libdir/girepository-%api/fontconfig-2.0.typelib
%_libdir/girepository-%api/freetype2-2.0.typelib
%_libdir/girepository-%api/libxml2-2.0.typelib
%_libdir/girepository-%api/xfixes-4.0.typelib
%_libdir/girepository-%api/xft-2.0.typelib
%_libdir/girepository-%api/xlib-2.0.typelib
%_libdir/girepository-%api/xrandr-1.3.typelib

%files -n %libname
%defattr(-,root,root)
%_libdir/libgirepository-%api.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%_libdir/libgirepository-%api.so
%_libdir/pkgconfig/gobject-introspection-%api.pc
%_libdir/pkgconfig/gobject-introspection-no-export-%api.pc
%_includedir/%name-%api
%_datadir/aclocal/*.m4
%_datadir/%name-%api
%_bindir/g-ir-*
%_libdir/%name
%_datadir/gtk-doc/html/gi
%dir %_datadir/gir-%api
%_datadir/gir-%api/DBus-1.0.gir
%_datadir/gir-%api/DBusGLib-1.0.gir
%_datadir/gir-%api/GIRepository-2.0.gir
%_datadir/gir-%api/GL-1.0.gir
%_datadir/gir-%api/GLib-2.0.gir
%_datadir/gir-%api/GModule-2.0.gir
%_datadir/gir-%api/GObject-2.0.gir
%_datadir/gir-%api/Gio-2.0.gir
%_datadir/gir-%api/cairo-1.0.gir
%_datadir/gir-%api/fontconfig-2.0.gir
%_datadir/gir-%api/freetype2-2.0.gir
%_datadir/gir-%api/libxml2-2.0.gir
%_datadir/gir-%api/xfixes-4.0.gir
%_datadir/gir-%api/xft-2.0.gir
%_datadir/gir-%api/xlib-2.0.gir
%_datadir/gir-%api/xrandr-1.3.gir
%_mandir/man1/*


%changelog
* Thu May 05 2011 ahmad <ahmad> 0.10.7-2.mga1
+ Revision: 95168
- Don't ship .la

* Fri Apr 15 2011 ahmad <ahmad> 0.10.7-1.mga1
+ Revision: 85847
- update to 0.10.7

* Sun Mar 27 2011 ahmad <ahmad> 0.10.6-1.mga1
+ Revision: 78094
- update to 0.10.6
- sync with Mandriva:
  o drop libgnomekeyring-and-libgda patch
  o add more linking fixes
  o re-enable checks
- drop the manual requires on ffi5-devel now that rpm-setup has been fixed and
  ffi5-devel is auto-required via pkgconfig requires

* Thu Mar 24 2011 boklm <boklm> 0.10.4-4.mga1
+ Revision: 76150
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 0.10.4-3.mga1
+ Revision: 72665
- modify the linking patch
- add requires on ffi5-devel in the devel package so that the cflags are exported
  correctly (should fix gjs building)

* Tue Mar 15 2011 ahmad <ahmad> 0.10.4-2.mga1
+ Revision: 72156
- update to 0.10.4
- rediff patches (add one more linking fix)

  + rtp <rtp>
    - allow to build without gtk-doc

* Wed Jan 12 2011 dmorgan <dmorgan> 0.9.12-2.mga1
+ Revision: 7041
- imported package gobject-introspection


* Thu Dec 16 2010 Funda Wang <fwang@mandriva.org> 0.9.12-2mdv2011.0
+ Revision: 622231
- rebuild

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 0.9.12-1mdv2011.0
+ Revision: 583918
- update to new version 0.9.12

* Fri Oct 01 2010 Götz Waschk <waschk@mandriva.org> 0.9.10-1mdv2011.0
+ Revision: 582272
- new version

* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdv2011.0
+ Revision: 581974
- new version
- use tarball generated from git checkout (b.g.o 629871)

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 0.9.7-1mdv2011.0
+ Revision: 581888
- new version 0.9.7

* Mon Sep 20 2010 Götz Waschk <waschk@mandriva.org> 0.9.7-0.20100920.1mdv2011.0
+ Revision: 579937
- disable checks again
- new snapshot
- rediff patch 0
- drop patch 1
- reenable checks

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-5mdv2011.0
+ Revision: 579739
- update patch 2 for libgda

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-4mdv2011.0
+ Revision: 579618
- add workaround for building libgnome-keyring wrapper

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-3mdv2011.0
+ Revision: 578300
- patch to readd --strip-prefix option

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-2mdv2011.0
+ Revision: 577675
- add conflict with old gir-repository

* Sat Sep 11 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2011.0
+ Revision: 577166
- new version
- update patch
- disable checks
- update file list

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2011.0
+ Revision: 565645
- new verison 0.9.3
- fix linkage (gnome#625995)

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2011.0
+ Revision: 563095
- new version
- new major
- drop patches
- bump glib dep
- update file list

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-5mdv2011.0
+ Revision: 551275
- rearrange packaging to ease upgrades

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.6.10-4mdv2010.1
+ Revision: 540042
- rebuild so that shared libraries are properly stripped again
- rebuild so that shared libraries are properly stripped again

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-3mdv2010.1
+ Revision: 536518
- fix build without having gobject-introspection installed

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-2mdv2010.1
+ Revision: 536495
- fix build dep
- new version
- add gimarshallingtests library

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 0.6.9-2mdv2010.1
+ Revision: 525202
- update to new version 0.6.9

* Thu Mar 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.8-2mdv2010.1
+ Revision: 524911
- move typelib files to library package

* Wed Mar 10 2010 Götz Waschk <waschk@mandriva.org> 0.6.8-1mdv2010.1
+ Revision: 517409
- update to new version 0.6.8

* Thu Dec 17 2009 Götz Waschk <waschk@mandriva.org> 0.6.7-1mdv2010.1
+ Revision: 479676
- new version
- update file list
- drop patch 0

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 0.6.6-1mdv2010.1
+ Revision: 476448
- fix crash on x86_64 (b.g.o #604074)
- update to new version 0.6.6

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 0.6.5-1mdv2010.0
+ Revision: 432060
- new version

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdv2010.0
+ Revision: 420769
- new version
- update deps
- reenable checks

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 0.6.4-0.20090817.1mdv2010.0
+ Revision: 417191
- new snapshot to make the scanner handle uninstalled libs better
- fix file list

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-2mdv2010.0
+ Revision: 414454
- add dep on libtool

* Mon Jun 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 388083
- new version

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-0.20090616.1mdv2010.0
+ Revision: 386312
- update build deps
- update file list
- new snapshot

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-0.20090518.1mdv2010.0
+ Revision: 376840
- update build deps
- git snapshot
- drop patch 0
- rediff patch 1
- update file list
- disable --no-undefined

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 332431
- update build deps
- new version
- add API version
- update file list

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 0.6.1-3mdv2009.1
+ Revision: 328252
- BR libtool
- let python module link against libpython
- fix str fmt

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 306919
- fix build
- new version
- update file list
- fix source URL

* Sat Nov 01 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2009.1
+ Revision: 299138
- new version
- update file list
- new library package for libgirepository-everything

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-0.r703.1mdv2009.1
+ Revision: 293565
- import gobject-introspection


* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-0.r703.1mdv2009.1
- initial package
